Skip to content

List members

GET/v1/members

Returns a paginated list of members in your workspace. Results are sorted by when the record was created in Lightfield (createdAt), newest first. Use offset and limit to paginate through results. See List endpoints for more information about pagination.

Required scope: members:read

Rate limit category: Search

Query ParametersExpand Collapse
limit: optional number

Maximum number of records to return. Defaults to 25, maximum 25.

minimum1
maximum9007199254740991
offset: optional number

Number of records to skip for pagination. Defaults to 0.

minimum0
maximum9007199254740991
ReturnsExpand Collapse
MemberListResponse object { data, object, totalCount }
data: array of object { id, createdAt, fields, 3 more }

Array of member objects for the current page.

id: string

Unique identifier for the member.

createdAt: string

ISO 8601 timestamp of when the member was created.

fields: object { "$email", "$name", "$profileImage", "$role" }

Map of field names to their typed values.

"$email": object { value, valueType }

The member’s email address.

value: string

The field value.

valueType: "EMAIL"

The data type of the field value.

"$name": object { value, valueType }

The member’s full name.

value: object { firstName, lastName }
firstName: optional string

The contact’s first name.

lastName: optional string

The contact’s last name.

valueType: "FULL_NAME"

The data type of the field value.

"$profileImage": object { value, valueType }

URL of the member’s profile image, or null if unset.

value: string

The field value, or null if unset.

valueType: "URL"

The data type of the field value.

"$role": object { value, valueType }

The member’s workspace role.

value: string

The field value.

valueType: "TEXT"

The data type of the field value.

relationships: object { "$user" }

Map of relationship names to their associated entities.

"$user": object { cardinality, objectType, values }

The underlying user record for this workspace member.

cardinality: "HAS_ONE"

Whether the relationship is has_one or has_many.

objectType: "user"

The type of the related object.

values: array of string

IDs of the related users.

updatedAt: string

ISO 8601 timestamp of when the member was last updated, or null.

object: string

The object type, always "list".

totalCount: number

Total number of members in the workspace.

minimum0
maximum9007199254740991

List members

curl https://api.lightfield.app/v1/members \
    -H 'Lightfield-Version: 2026-03-01' \
    -H "Authorization: Bearer $API_KEY"
{
  "data": [
    {
      "id": "id",
      "createdAt": "createdAt",
      "fields": {
        "$email": {
          "value": "value",
          "valueType": "EMAIL"
        },
        "$name": {
          "value": {
            "firstName": "firstName",
            "lastName": "lastName"
          },
          "valueType": "FULL_NAME"
        },
        "$profileImage": {
          "value": "value",
          "valueType": "URL"
        },
        "$role": {
          "value": "value",
          "valueType": "TEXT"
        }
      },
      "httpLink": "httpLink",
      "relationships": {
        "$user": {
          "cardinality": "HAS_ONE",
          "objectType": "user",
          "values": [
            "string"
          ]
        }
      },
      "updatedAt": "updatedAt"
    }
  ],
  "object": "object",
  "totalCount": 0
}
Returns Examples
{
  "data": [
    {
      "id": "id",
      "createdAt": "createdAt",
      "fields": {
        "$email": {
          "value": "value",
          "valueType": "EMAIL"
        },
        "$name": {
          "value": {
            "firstName": "firstName",
            "lastName": "lastName"
          },
          "valueType": "FULL_NAME"
        },
        "$profileImage": {
          "value": "value",
          "valueType": "URL"
        },
        "$role": {
          "value": "value",
          "valueType": "TEXT"
        }
      },
      "httpLink": "httpLink",
      "relationships": {
        "$user": {
          "cardinality": "HAS_ONE",
          "objectType": "user",
          "values": [
            "string"
          ]
        }
      },
      "updatedAt": "updatedAt"
    }
  ],
  "object": "object",
  "totalCount": 0
}